# Exports

## Endpoints d'exports

#### Vue d'ensemble

<table><thead><tr><th>Endpoint</th><th width="72">Méthode</th><th>Description</th><th>Authentification requise</th><th>Autorisation</th></tr></thead><tbody><tr><td><code>/companies/validate_export_params</code></td><td>POST</td><td>Prévisualise la stratégie d'export et le nombre de fichiers qui seront générés, sans lancer l'export</td><td>X-CLIENT-ID + X-EMPLOYMENT-TOKEN</td><td>Gestionnaire de l'entreprise</td></tr><tr><td><code>/companies/download_activity_report</code></td><td>POST</td><td>Lance la génération asynchrone des fichiers Excel de rapport d'activité (retourne 202)</td><td>X-CLIENT-ID + X-EMPLOYMENT-TOKEN</td><td>Gestionnaire de l'entreprise</td></tr><tr><td><code>/companies/generate_tachograph_files</code></td><td>POST</td><td>Génère et télécharge immédiatement une archive ZIP de fichiers C1B (chronotachygraphe)</td><td>X-CLIENT-ID + X-EMPLOYMENT-TOKEN</td><td>Gestionnaire de l'entreprise</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.mobilic.beta.gouv.fr/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
